
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 店铺扩张信息
 *
 * @author YXF
 * @date 2021-02-05 15:36:12
 */
public class ShopExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long shopExtensionId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 店铺商品总销量
     */
    private Integer saleNum;

    /**
     * 店铺收藏数量
     */
    private Long collectionNum;

    public Long getShopExtensionId() {
        return shopExtensionId;
    }

    public void setShopExtensionId(Long shopExtensionId) {
        this.shopExtensionId = shopExtensionId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Integer saleNum) {
        this.saleNum = saleNum;
    }

    public Long getCollectionNum() {
        return collectionNum;
    }

    public void setCollectionNum(Long collectionNum) {
        this.collectionNum = collectionNum;
    }

    @Override
    public String toString() {
        return "ShopExtension{" +
                "shopExtensionId=" + shopExtensionId +
                ",shopId=" + shopId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",saleNum=" + saleNum +
                ",collectionNum=" + collectionNum +
                '}';
    }
}
